## org.apache.tools.ant
Interface DynamicElementNS

All Known Subinterfaces:
  DynamicConfiguratorNS

All Known Implementing Classes:
  EchoXML, XMLFragment, XMLFragment.Child

    public interface DynamicElementNS

Enables a task to control unknown elements.

Since:
  Ant 1.7

Method Summary
`java.lang.Object` `createDynamicElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Create an element with the given name

Method Detail

### createDynamicElement

    java.lang.Object createDynamicElement(java.lang.String uri,
                                          java.lang.String localName,
                                          java.lang.String qName)
                                          throws BuildException

  Create an element with the given name

  Parameters:
    `uri` - The namespace uri for this attribute.
    `localName` - The localname of this attribute.
    `qName` - The qualified name for this element.
  Returns:
    the element created for this element.
  Throws:
    `BuildException` - when any error occurs